From a5b99b7eb9e1d02bfc61638f2300194fd3f914c1 Mon Sep 17 00:00:00 2001
From: Alexey Minnekhanov <alexeymin@postmarketos.org>
Date: Tue, 8 Feb 2022 21:41:05 +0300
Subject: [PATCH 55/59] Follow upstream changes to quit64 as size

follow-up to a1cf31faf1a8aeebf2786715590cf3bb8a5cd472
---
 libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp | 4 ++--
 libdiscover/backends/AlpineApkBackend/AlpineApkResource.h   | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
index 459347061..2c981ca90 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
@@ -72,9 +72,9 @@ QString AlpineApkResource::comment()
     return m_pkg.description;
 }
 
-int AlpineApkResource::size()
+quint64 AlpineApkResource::size()
 {
-    return static_cast<int>(m_pkg.size);
+    return m_pkg.size;
 }
 
 QUrl AlpineApkResource::homepage()
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
index 5304a8773..fec02a994 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
@@ -44,7 +44,7 @@ public:
     QString availableVersion() const override;
     QString installedVersion() const override;
     QJsonArray licenses() override;
-    int size() override;
+    quint64 size() override;
     QUrl homepage() override;
     QUrl helpURL() override;
     QUrl bugURL() override;
-- 
GitLab


